import request from '@/utils/request'

// 查询班级小组管理列表
export function listGroup(query) {
  return request({
    url: '/system/group/list',
    method: 'get',
    params: query
  })
}

// 查询班级小组管理详细
export function getGroup(groupId) {
  return request({
    url: '/system/group/' + groupId,
    method: 'get'
  })
}

// 新增班级小组管理
export function addGroup(data) {
  return request({
    url: '/system/group',
    method: 'post',
    data: data
  })
}

// 修改班级小组管理
export function updateGroup(data) {
  return request({
    url: '/system/group/'+data.groupId,
    method: 'put',
    data: data
  })
}

// 删除班级小组管理
export function delGroup(groupId) {
  return request({
    url: '/system/group/' + groupId,
    method: 'delete'
  })
}
